%define	major	0
%define	libname	%mklibname nut %{major}
%define	devname	%mklibname -d nut

Name:		libnut
%define	svnrev	675
Version:	0.0.%{svnrev}
Release:	%mkrel 13
Url:		https://wiki.multimedia.cx/index.php?title=NUT
License:	MIT
Group:		System/Libraries
Summary:	NUT Multimedia Container Library
# svn checkout svn://svn.mplayerhq.hu/nut/src/trunk libnut ; tar -Jcf libnut-r$(LC_ALL=C svn info libnut | sed -n 's/Revision: //p').tar.xz libnut
Source0:	%{name}-r%{svnrev}.tar.xz
Patch0:		libnut-libdir.patch
Patch1:		libnut-shared.patch
Patch2:		libnut-r675-ldflags.patch

%description
Library for manipulation with NUT multimedia streams.

Unlike many popular containers, a NUT file can largely be viewed as a
byte stream, opposed to having a global block structure. NUT files
consist of a sequence of packets, which can contain global headers,
file metadata, stream headers for the individual media streams,
optional index data to accelerate seeking, and, of course, the actual
encoded media frames.

%package -n	%{libname}
Group:		System/Libraries
Summary:	NUT Multimedia Container Library

%description -n	%{libname}
Library for manipulation with NUT multimedia streams.

Unlike many popular containers, a NUT file can largely be viewed as a
byte stream, opposed to having a global block structure. NUT files
consist of a sequence of packets, which can contain global headers,
file metadata, stream headers for the individual media streams,
optional index data to accelerate seeking, and, of course, the actual
encoded media frames.

%package -n	%{devname}
Group:		Development/C
Summary:	Development files for NUT Multimedia Container Library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
# package was not libified a long long time ago and an obsolete was forgotten
# at the time, causing file conflicts on upgrade (Anssi 03/2012):
Obsoletes:	libnut-devel < 0-0.275

%description -n	%{devname}
This package contains development files for the NUT Multimedia Container
Library.

%package	utils
Group:		Video/Utilities
Summary:	NUT Multimedia Container Utilities

%description	utils
Utilities for manipulation with NUT multimedia streams.

Unlike many popular containers, a NUT file can largely be viewed as a
byte stream, opposed to having a global block structure. NUT files
consist of a sequence of packets, which can contain global headers,
file metadata, stream headers for the individual media streams,
optional index data to accelerate seeking, and, of course, the actual
encoded media frames.

%prep
%setup -q -n %{name}
%patch -P 0 -p0 -b .libdir~
%patch -P 1 -p1 -b .shared~
%patch -P 2 -p1 -b .ldflags~

%build
%set_build_flags
%make_build prefix=%{_prefix} libdir=%{_libdir}

%install
%makeinstall

%files utils
%{_bindir}/*

%files -n %{libname}
%doc COPYING README
%{_libdir}/libnut.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/libnut.h
%{_libdir}/libnut.so
%{_libdir}/libnut.a





%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.0.675-13.mga10
+ Revision: 2232026
- Mageia 10 Mass Rebuild

* Sun Dec 22 2024 pterjan <pterjan> 0.0.675-12.mga10
+ Revision: 2127811
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 0.0.675-11.mga9
+ Revision: 1792050
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.0.675-10.mga8
+ Revision: 1514315
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.0.675-9.mga7
+ Revision: 1299058
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Sat Feb 06 2016 umeabot <umeabot> 0.0.675-8.mga6
+ Revision: 939950
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.675-7.mga5
+ Revision: 747620
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.675-6.mga5
+ Revision: 681666
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.0.675-5.mga4
+ Revision: 521165
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 malo <malo> 0.0.675-4.mga3
+ Revision: 388920
- updated RPM group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 16 2012 anssi <anssi> 0.0.675-2.mga2
+ Revision: 223580
- add obsolete on old -devel package

* Mon Jan 16 2012 luigiwalser <luigiwalser> 0.0.675-1.mga2
+ Revision: 196640
- remove mdvisms from spec
- imported package libnut


* Thu Nov 24 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.0.675-1
+ Revision: 733109
- imported package libnut


* Thu Nov 24 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.0.675-1
- initial Mandriva package adapted from SuSE

* Mon Jan 26 2009 crrodriguez@suse.de
- fix -devel package requires
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Tue Aug 19 2008 sbrabec@suse.cz
- Updated to the latest SVN snapshot 659:
  * fixed libnut muxer creating of header_count_minus1 and
    main_flags
* Fri Aug  1 2008 ro@suse.de
- fix requires for debuginfo package
* Mon Apr 28 2008 sbrabec@suse.cz
- Updated to the latest SVN snapshot 658:
  * Documentation fixes.
  * Code cleanup.
  * Debugging messages cleanup.
- Enabled shared library support.
* Tue Jan 15 2008 sbrabec@suse.cz
- Minor spec file cleanup.
- Updated to the latest SVN snapshot 514 (no change).
- Install all tools.
* Wed Jul 25 2007 sbrabec@suse.cz
- Updated to the latest SVN snapshot 505:
  * Added nutparse.
  * Minor fixes.
* Wed Mar 21 2007 sbrabec@suse.cz
- New SuSE package, SVN snapshot 282.
